## kdebindings 4.4.5

=== debian/changelog ===
kdebindings (4:4.4.5-3) unstable; urgency=low

  [ Pino Toscano ]
  * python-kde4-dev needs to depend on python-kde4, otherwise pykdeuic4.py
    does not work. (Closes: #592286)
  * Few touches to the packages descriptions.
    - ... including the libsmokekutils3 one. (Closes: #592280)

  [ Modestas Vainius ]
  * Move python2.5 dependencies to python-kde4 Suggests (Closes: #595532).
    Even if python-kde4 still provides python2.5 bindings, Python 2.5 is no
    longer a default and hence it is not a pre-requisite for the package to be
    useful on standard Debian install.
  * Support DEB_BUILD_OPTIONS=parallel=X properly.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 13 Sep 2010 20:44:50 +0300

kdebindings (4:4.4.5-2) unstable; urgency=medium

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ Pino Toscano ]
  * Fix typo in description of libsmokekparts3. (Closes: #589904)

  [ Sune Vuorela ]
  * Only build the kpythonfactoryplugin on default python version, else
    it ends up a bit random which one is actually used when built parallel.
    Closes: #591422
  * Medium urgency due to rc bugfix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 07 Aug 2010 00:01:00 +0200

kdebindings (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
     - Fix ruby marshalling. Closes: #586672
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Fix libsmokekfile description. Closes: 586440
  * Fix descriptions

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 01:30:43 +0200

kdebindings (4:4.4.4-2) unstable; urgency=low

  * Added missing dependency on libqt4-ruby1.8. (Closes: #584651)
  * Fixed description of libsmokektexteditor3. (Closes: #585686)

 -- Michael Meskes <meskes@debian.org>  Tue, 15 Jun 2010 19:02:36 +0200

kdebindings (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Fix typo in description of libplasma2.0-cil. (Closes: #581404)

  [ Sune Vuorela ]
  * Fix qt-dotnet config file. Thanks Dave Page. (Closes: 583112)
  * Update email address.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9.2) for HTML_INSTALL_DIR
    switch, 3.0 (quilt) source format support and
    DEB_KDE_LINK_WITH_NO_UNDEFINED flag.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Use default KDE 4 variables from variables.mk for building.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Unhook quilt.make from debian/rules.
  * Drop support_armel_in_generator.diff patch, merged upstream.
  * Bump attica build dependency to 0.1.4 (just in case).

 -- Modestas Vainius <modax@debian.org>  Sat, 12 Jun 2010 11:36:26 +0300

kdebindings (4:4.4.3-2) unstable; urgency=low

  [ Michael Meskes ]
  * Made sure links are created in the right direction so they do not all
    dangle under the same name. (Closes: #580400, #580401)
  * Fixed typo in extended description. (Closes: #580117)

  [ Sune Vuorela ]
  * Make upstream create a patch to actually support armel. Steal the patch.
  * Fix segfault when trying to parse/write the akonadi smoke part. Patch
    acknowledged by upstream.

 -- Michael Meskes <meskes@debian.org>  Tue, 11 May 2010 11:27:06 +0200

kdebindings (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

  [ Pino Toscano ]
  * Few touches to the packages descriptions.
    - ... including the krosspython one. (Closes: #579712)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:52 +0300

kdebindings (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump KDE build dependencies to 4:4.4.

  [ Pino Toscano ]
  * Few touches to the packages descriptions.
    - ... including a typo in the python-kde4 one. (Closes: #567161)

  [ David Palacio ]
  * Refresh patches
    Remove 13_csharp_fix_build_deps.diff: applied upstream
  * Do not skip RPATH
  * New packages for modular Smoke
  * SO version bump to 3 for Smoke packages

  [ Sune Vuorela ]
  * Add a patch to make it possible to only install the sip files under some
    conditions.
  * Use dh_sip rather than the home brewn and fragile way of
    ensuring compatible sip versions. (Closes: #567528, #571924)
  * Add a smoke-dev-tools package with most needed tools to create new
    bindings.
  * Update install files
  * Version the cppparser library
  * Make CLI stuff following new policy regarding dev packages with
    unversioned pc files in -dev packages depending on the right binary
    packages; rename pc files.
  * Make several smoke dev packages
  * Replace strict hardcoded shlib interdependencies with a shlibs.local hack
    as seen in Qt
  * Write ${misc:Depends} everywhere
  * Use Modestas' new dh_sodeps tool; add pkg-kde-tools build dep for this.
  * Also consider various mono-required libs as monopackages in rules file

  [ Didier Raboud ]
  * Update the python-kde install list to include non-2.5 python versions.
    (Closes: #573292)

  [ Michael Meskes ]
  * Changed build dependency from python-sip4 to python-sip.
  * Added myself as uploader.
  * Bumped Standards-Version to 3.8.4, no changes needed.
  * Fixed shlibs handling.
  * Added missing section information to some dev packages.
  * Added some lintian overrides.
  * Install python-kde4 html docs. (Closes: #518646)


