## kdebindings 4.5.1

=== debian/changelog ===
kdebindings (4:4.5.1-0ubuntu3) maverick; urgency=low

  * libsmokeqscintilla3 replaces libsmokeqt4-3 (<= 4:4.4.2-0ubuntu2)
  * libqyotoshared1 replaces/conflicts libqyoto4.4-cil (LP: #513361)
  * Add kubuntu_04_improve_logic_for_qflags.diff from upstream
    (http://bugs.kde.org/show_bug.cgi?id=249567)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 07 Sep 2010 18:44:57 +0200

kdebindings (4:4.5.1-0ubuntu2) maverick; urgency=low

  * Unbump build-dep version on libqt4-opengl-dev so we can actually build the
    package in the archive

 -- Scott Kitterman <scott@kitterman.com>  Thu, 02 Sep 2010 21:25:59 -0400

kdebindings (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-depends
    - Add kubuntu_01_fix_krossruby_cmake_syntax.diff to use proper cmake syntax
      (EQUAL, LESS...) when checking whether to build krossruby
      (http://websvn.kde.org/?view=revision&revision=1170254)
    - Fix qt-dotnet.dll.config (LP: #627536)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 30 Aug 2010 21:03:06 +0200

kdebindings (4:4.5.0b-0ubuntu2) maverick; urgency=low

  [ Mackenzie Morgan ]
  * debian/control:
    - Change python-kde4 back from Recommends to Depends so as not to 
      break build dependencies on other packages (LP: #614866)

  [ Jonathan Riddell ]
  * Add kubuntu_03_pykde_arm.diff from Michael Casadevall fix pykde on
    ARM
  * In debian/rules turn off smoke, ruby and mono for arm, smoke doesn't compile
  * In debian/rules remove arm from MONOARCHES
  * In debian/control change smoke, ruby and mono arch any packages to non-arm arches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 19:04:26 +0100

kdebindings (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:02 +0100

kdebindings (4:4.5.0-0ubuntu1) maverick; urgency=low
  
  [ Michał Zając ]
  * New upstream release
    - Bump on build-depends

  [ Harald Sitter ]
  * Drop kubuntu_03_qt_no_style_s60.diff (origin: upstream -> applied)
  * Turn libsmokeqtmultimedia into dust because we do not build
    libqt4-multimedia any more, since it got renamed to QtMultimediaKit and is
    now part of qtmobility-dev.
  * Add libqscintilla2.2-cil and libphonon4.4-cil
  * Fix -dev packaging:
    + Soprano smoke headers go from libsmokeqt4-dev to libsmokesoprano-dev
    + Nepomuk, Attica and all k* go headers go from libsmokeqt4-dev to
      libsmokekde-dev

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 31 Jul 2010 10:52:03 +0200

kdebindings (4:4.4.92-0ubuntu2) maverick; urgency=low

  [ Felix Geyer ]
  * Replace libqt4-webkit-dev build-dep with libqtwebkit-dev.

  [ Jonathan Riddell ]
  * Build against latest sip and pyqt4

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 21 Jul 2010 10:22:51 +0200

kdebindings (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - Refresh patches
    - Add kubuntu_03_qt_no_style_s60.diff from upstream to fix building with
      Qt 4.7 (https://bugs.kde.org/show_bug.cgi?id=243971)
    - Add libqt4-multimedia to build-depends to build libsmokeqtmultimedia
    - Update smoke-dev-tools.install
    - Fix not-installed file

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 04:28:44 +0200

kdebindings (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - libkde4-ruby1.8 depends on libqt4-ruby1.8
  * Sync debian/rules with Debian

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 24 Jun 2010 22:40:26 +0200

kdebindings (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - Remove patches, fixed by upstream:
      - kubuntu_01_pykde4_include_dir.diff
      - kubuntu_03_make_qscintilla_work

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 02:45:49 +0200

kdebindings (4:4.4.80-0ubuntu4) maverick; urgency=low

  * Add more replaces for libsmoke libraries moved out of
    libsmokeqt4-3 and libsmokekde4-3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Jun 2010 18:41:26 +0000

kdebindings (4:4.4.80-0ubuntu3) maverick; urgency=low

  * Make libqwt-ruby1.8 and libqscintilla-ruby1.8 arch any

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 May 2010 19:34:50 +0000

kdebindings (4:4.4.80-0ubuntu2) maverick; urgency=low

  * libsmokeqtsql and libsmokeqtopengl replace old libsmokeqt4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 May 2010 14:29:19 +0000

kdebindings (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends
    - Switch to dpkg-source 3.0 (quilt) format
    - Update support_armel_in_generator.diff
    - Add libqscintilla2-dev, libqwt5-qt4-dev to build-depends
    - Add new packages:
      - libsmokebase4-3
      - libqscintilla-ruby1.8
      - libqwt-ruby1.8
      - libsmokeqscintilla3
      - libsmokeqwt3
    - Update various install files
    - Add several Replaces
    - Add kubuntu_02_dont_build_kio_monodoc.diff to prevent ftbs
    - Add kubuntu_03_make_qscintilla_work.diff (from KDE trunk)
    - debian/rules:
      - Disable rules for kio_monodoc

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 25 May 2010 19:34:02 +0200

kdebindings (4:4.4.3-2ubuntu1) maverick; urgency=low

  * Sync with Debian
  * Add build-dep on libqt4-webkit-dev
  * Add kubuntu_01_pykde4_include_dir.diff to fix pykde compilation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 22 May 2010 11:23:57 +0000

kdebindings (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Don't build smoke-dev-tools on armel

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 23:33:08 +0100

kdebindings (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends
    - Update libsmokeqt4-dev.install
  * New package smoke-dev-tools
    - Add smoke-dev-tools.install


