=== debian/control ===
Source: kdebindings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools,
 kdelibs5-dev (>= 4:4.5), libqt4-opengl-dev (>= 4:4.7.0~beta2), libqtwebkit-dev, libphonon-dev (>= 4:4.7.0really4.4.2),
 libsoprano-dev (>= 2.5.0), libqimageblitz-dev,
 python, python-all-dev, python-sip-dev (>= 4.10.5), python-qt4 (>> 4.7.4), python-qt4-dev (>> 4.7.4),
 ruby1.8-dev, ruby1.8, python-support (>= 0.6),
 mono-devel (>= 2.0.1) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 cli-common-dev (>= 0.5.4) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 monodoc-base [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 okular-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5), libakonadi-dev (>= 1.3.85), libattica-dev,
 shared-desktop-ontologies, libqscintilla2-dev, libqwt5-qt4-dev
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <debian@pusling.com>, David Palacio <dpalacio@uninorte.edu.co>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.8.4
Homepage: http://www.kde.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/trunk/packages/kdebindings
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdebindings/#_trunk_packages_kdebindings_

Package: kdebindings-dbg
Section: debug
Architecture: i386 amd64 ia64 powerpc sparc
Priority: extra
Depends: kdelibs5-dbg, libsmokeqt4-3 (= ${binary:Version}) | python-kde4 (= ${binary:Version}), ${misc:Depends}
Recommends: libruby1.8-dbg, python-qt4-dbg, mono-dbg
Description: debugging symbols for the KDE 4 bindings module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE 4 bindings module.

Package: libsmokebase4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Core Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Core Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqt4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains pure Qt 4 Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtcore4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Description: Qt 4 Core Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Core Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtgui4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Description: Qt 4 Gui Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Gui Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtdbus4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 DBus Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 DBus Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

#Package: libsmokeqtmultimedia4-3
#Section: libs
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Replaces: libsmokeqt4-3 (<< 4:4.4.80)
#Architecture: any
#Description: Qt 4 Multimedia Smoke library
# Smoke libraries are part of the bindings used for Qt and KDE. This package
# contains Qt 4 Multimedia Smoke.
# .
# Smoke provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the KDE Bindings module.

Package: libsmokeqtnetwork4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Network Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Network Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtopengl4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Description: Qt 4 OpenGL Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 OpenGL Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtscript4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Script Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Script Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtsql4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Description: Qt 4 Sql Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Sql Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtsvg4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Svg Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Svg Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqttest4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Test Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Test Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtuitools4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Ui Tools Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Ui Tools Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtwebkit4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 WebKit Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 WebKit Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtxml4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Xml Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 Xml Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqtxmlpatterns4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 XmlPatterns Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Qt 4 XmlPatterns Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokephonon3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokeqt4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: Qt 4 Phonon Smoke library
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains Phonon Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqt4-dev
Section: libdevel
Depends: ${so:Depends}, ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Description: development files for Qt 4 Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains pure Qt 4 Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This package contains development files.
 .
 This is part of the KDE Bindings module.

Package: libsmokeqimageblitz3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 amd64 ia64 powerpc sparc
Description: QImageBlitz Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains QImageBlitz Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekdecore4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80)
Architecture: i386 amd64 ia64 powerpc sparc
Description: KDE Core Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE 4 Core parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekdeui4-3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsmokekde4-3 (<< 4:4.4.80) 
Architecture: i386 amd64 ia64 powerpc sparc
Description: KDE Ui Smoke libraries
 Smoke libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE 4 User Interface parts of Smoke.
 .
 Smoke provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the KDE Bindings module.

Package: libsmokekfile3
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
